Skip to main content
`Ctrl`+`K`

# SNESFASGetLevels

Gets the number of levels in a `SNESFAS`, including fine and coarse grids

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetLevels(SNES snes, PetscInt *levels)

## Input Parameter

- snes - the `SNES` nonlinear solver context of `SNESType` `SNESFAS`

## Output Parameter

- levels - the number of levels

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetLevels()`, `PCMGGetLevels()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages